Bug 432701 - Review Request: ksig - A graphical application to manage multiple email signatures
Review Request: ksig - A graphical application to manage multiple email signa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 16:51 EST by Sebastian Vahl
Modified: 2008-02-15 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 18:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-02-13 16:51:26 EST
Spec URL: http://svahl.fedorapeople.org/ksig/ksig.spec
SRPM URL: http://svahl.fedorapeople.org/ksig/ksig-1.1-0.1.20080213.fc8.src.rpm
Description:
KSig is a graphical tool for keeping track of many different email signatures.
The signatures themselves can be edited through KSig's graphical user 
interface. A command-line interface is then available for generating random 
or daily signatures from a list. The command-line interface makes a suitable 
plugin for generating signatures in external mail clients such as KMail.

Note for reviewers:
ksig has no official release of the KDE4 port yet. So the svn version is 
packaged here. But it should be as usuable as the KDE 3 version (last change 
was over one month ago). To create the svn checkout a modified script from 
upstream was used. There is also existing a short documentation about how to 
create a new tarball at your own.

rpmlint:
ksig.i386: W: dangling-symlink /usr/share/doc/HTML/en/ksig/common /usr/share/doc/HTML/en/common
ksig.i386: W: symlink-should-be-relative /usr/share/doc/HTML/en/ksig/common /usr/share/doc/HTML/en/common

Normal warnings for KDE packages and could be ignored.

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=424847
Comment 1 Sebastian Vahl 2008-02-13 17:03:45 EST
I'm always missing something today. :(

Spec URL: http://svahl.fedorapeople.org/ksig/ksig.spec
SRPM URL: http://svahl.fedorapeople.org/ksig/ksig-1.1-0.2.20080213.fc8.src.rpm

Changelog:
- +R: xdg-utils
- +BR: desktop-file-utils
Comment 2 Parag AN(पराग) 2008-02-13 23:23:03 EST
I think Group should be Applications/Internet

when I followed instructions to generate tarball packages in SRPM I got
different tarball name but contents looked same
b2ecb5bd331e0557bed03904f2fbbd17  ksig-1.1-svn.tar.bz2
485a276fa48bcc0980ec9e3862bf9d38  ksig-1.1.tar.bz2
Comment 3 Parag AN(पराग) 2008-02-13 23:27:05 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=425557
+ rpmlint is silent for SRPM. But NOT for RPM.
ksig.i386: W: dangling-symlink /usr/share/doc/HTML/en/ksig/common
/usr/share/doc/HTML/en/common
ksig.i386: W: symlink-should-be-relative /usr/share/doc/HTML/en/ksig/common
/usr/share/doc/HTML/en/common
==> Ok to accept

+ source files match upstream.
b2ecb5bd331e0557bed03904f2fbbd17  ksig-1.1-svn.tar.bz2
485a276fa48bcc0980ec9e3862bf9d38  ksig-1.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ xdg-utils scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

SHOULD:
   Group should be Applications/Internet

APPROVED.
Comment 4 Sebastian Vahl 2008-02-14 02:46:49 EST
(In reply to comment #3)> SHOULD:
>    Group should be Applications/Internet

I took Applications/Productivity from kdepim (ksig was used to be in kdepim).
But Applications/Internet should also be fine. I'll change that after the import.


(In reply to comment #3)> SHOULD:
> APPROVED.

Thx!

New Package CVS Request
=======================
Package Name: ksig
Short Description: A graphical application to manage multiple email signatures
Owners: svahl,than,rdieter,kkofler,ltinkl
Branches: 
InitialCC: 
Cvsextras Commits: no
Comment 5 Kevin Fenzi 2008-02-14 17:21:58 EST
cvs done.
Comment 6 Sebastian Vahl 2008-02-15 18:21:05 EST
Thanks!
Imported and build: http://koji.fedoraproject.org/koji/buildinfo?buildID=36504

Note You need to log in before you can comment on or make changes to this bug.